"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ts_eslint_1 = require("@typescript-eslint/utils/dist/ts-eslint");
const enforceReactMemo_1 = __importDefault(require("../../rules/enforceReactMemo"));
const ruleTester = new ts_eslint_1.RuleTester({
    parserOptions: {
        ecmaFeatures: {
            jsx: true,
        },
    },
    parser: require.resolve('@typescript-eslint/parser'),
});
ruleTester.run('enforce-react-memo', enforceReactMemo_1.default, {
    valid: [
        {
            code: `
                const component = () => {
                    return <div>Something</div>;
                };

                export default component;
            `,
        },
    ],
    invalid: [],
});
